a13nDocs
API 参考指标仪表盘

更新仪表盘

PATCH/api/v1/metrics-dashboards/{dashboard_id}

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

dashboard_id*Dashboard Id

请求头参数

If-Match?|

资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

响应体

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/metrics-dashboards/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "builtin": true,  "config": {    "panels": [      {        "description": "",        "id": "string",        "legend": true,        "position": {          "h": 3,          "w": 3,          "x": 0,          "y": 0        },        "queries": [          {            "history": "configured",            "kind": "metric",            "metric": "system_cpu_busy_ratio"          }        ],        "title": "string",        "unit": "auto",        "visualization": "timeseries"      }    ],    "range_seconds": 3600,    "refresh_seconds": 0,    "schema_version": 1  },  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "id": "string",  "name": "string",  "organization_id": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}